Last Comment Bug 825778 - Event dialog: the Save&Close button can wrongly be in disabled status with tasks and timezone enabled
: Event dialog: the Save&Close button can wrongly be in disabled status with ta...
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Dialogs (show other bugs)
: Lightning 1.9
: All All
: -- normal (vote)
: 2.3
Assigned To: Decathlon
:
:
Mentors:
Depends on: 410427
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-01 13:44 PST by Decathlon
Modified: 2013-02-07 14:05 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch - v1 (2.79 KB, patch)
2013-01-19 14:32 PST, Decathlon
philipp: review+
Details | Diff | Splinter Review

Description Decathlon 2013-01-01 13:44:11 PST
Steps to reproduce:

1. create a new task with entry date and due date and e.g. 1 hour duration;
2. enable and select different timezones for the two dates in a manner that the time difference between the timezones is positive and greater than the task duration e.g. 
    entry date:  Europe/Paris (UTC/GMT+1)
    due date:    America/New York (UTC/GMT-5);
3. change the time for the entry date so that the due date will be in the previous day e.g.
    entry date 09/01/2013 2:00  Europe/Paris
    due date   08/01/2013 21:00 America/New York;
4. save and close the dialog;
5. reopen the task;


Actual result:
When reopening the dialog, the Save and Close button is disabled and the status doesn't change even when selecting a new (correct) due date in the datepicker.
Comment 1 Decathlon 2013-01-19 14:32:09 PST
Created attachment 704267 [details] [diff] [review]
patch - v1

The function updateAccept() doesn't keep in count the timezones for tasks.
The patch should fix.

This patch should be applied after the patch for bug 410427 (only for line numbers shifting).
Comment 2 Philipp Kewisch [:Fallen] 2013-02-07 08:08:01 PST
Comment on attachment 704267 [details] [diff] [review]
patch - v1

r=philipp
Comment 3 Decathlon 2013-02-07 14:05:34 PST
Pushed to comm-central http://hg.mozilla.org/comm-central/rev/899bbca945e5

Note You need to log in before you can comment on or make changes to this bug.